「IAcSmSheetSelSets」の版間の差分
(ページの作成:「{{BCAD_LISP}} シートコンポーネントのインターフェース。 使用可能なメソッド (setq cad (vlax-get-acad-object)) (setq doc (vla-get-ActiveDoc…」) |
編集の要約なし |
||
(同じ利用者による、間の1版が非表示) | |||
1行目: | 1行目: | ||
{{BCAD_LISP}} | {{BCAD_LISP}} | ||
Sheet SelectionSet のインタフェース。 | |||
32行目: | 32行目: | ||
|- | |- | ||
|} | |} | ||
----- | |||
関連記事 | |||
* [[シートセット関数-BricsCAD]] |
2022年8月8日 (月) 08:05時点における最新版
Sheet SelectionSet のインタフェース。
使用可能なメソッド
(setq cad (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument cad)) (setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr")) (setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile)) (setq sheetset (vlax-invoke-method smdb 'GetSheetSet)) (setq sheetSelSets (vlax-invoke-method sheetset "GetSheetSelSets"))
項目 | 内容 |
---|---|
Add | creates a new selection set with 'name' and 'description' and adds it to this collection
(setq sheetSelSet (vlax-invoke-method sheetSelSets 'Add "TestSelSet" "just for testing")) HRESULT Add ([in] BSTR name, [in] BSTR description, [out, retval] IAcSmSheetSelSet** selset) |
Remove | removes the specified selection set from this collection
(setq res (vlax-invoke-method sheetSelSets 'Remove sheetSelSet)) HRESULT Remove ([in] IAcSmSheetSelSet* selset) |
GetEnumerator | returns an enumerator for the selection sets in this collection
(setq iter (vlax-invoke-method sheetSelSets 'GetEnumerator)) HRESULT GetEnumerator ([out, retval] IAcSmEnumSheetSelSet** enumerator) |
関連記事